diff --git a/lib/view/user/my_download_view.dart b/lib/view/user/my_download_view.dart
index aa85517..09d4474 100644
--- a/lib/view/user/my_download_view.dart
+++ b/lib/view/user/my_download_view.dart
@@ -302,136 +302,200 @@ class _MyDownloadViewState extends State<MyDownloadView> {
                     itemCount: _songs.length,
                     itemBuilder: (BuildContext context, int index) {
                       final song = _songs[index];
-                      return Container(
-                        padding: const EdgeInsets.symmetric(vertical: 5.0),
-                        child: ListTile(
-                          leading: _isSelectMode
-                              ? Checkbox(
-                                  value: _selectedItems[index],
-                                  onChanged: (value) {
-                                    setState(() {
-                                      _selectedItems[index] = value!;
-                                    });
-                                  },
-                                  shape: const CircleBorder(),
-                                  activeColor: const Color(0xff429482),
-                                )
-                              : null,
-                          title: Row(
+                      return Dismissible(
+                        key: Key(song.id.toString()),
+                        direction: DismissDirection.endToStart,
+                        background: Container(
+                          color: Colors.red,
+                          padding: const EdgeInsets.only(right: 16.0),
+                          alignment: Alignment.centerRight,
+                          child: Column(
+                            mainAxisAlignment: MainAxisAlignment.center,
                             children: [
-                              ClipRRect(
-                                borderRadius: BorderRadius.circular(10),
-                                child: Image.network(
-                                  song.artistPic,
-                                  width: 50,
-                                  height: 50,
-                                  fit: BoxFit.cover,
-                                ),
+                              Image.asset(
+                                "assets/img/delete.png",
+                                width: 24,
+                                height: 24,
+                                color: Colors.white,
                               ),
-                              const SizedBox(width: 10), // 添加一些间距
-                              Expanded(
-                                // 使用 Expanded 让文本占据剩余空间
-                                child: Column(
-                                  crossAxisAlignment: CrossAxisAlignment.start,
-                                  mainAxisAlignment: MainAxisAlignment.center,
-                                  children: [
-                                    Text(
-                                      song.title,
-                                      maxLines: 1,
-                                      style: const TextStyle(
-                                        fontSize: 16,
-                                        fontWeight: FontWeight.w500,
-                                      ),
-                                      overflow: TextOverflow.ellipsis,
-                                    ),
-                                    Text(
-                                      song.artist,
-                                      maxLines: 1,
-                                      style: TextStyle(
-                                          color: Colors.grey[600],
-                                          fontSize: 14),
-                                      overflow: TextOverflow.ellipsis,
-                                    )
-                                  ],
+                              const SizedBox(height: 4),
+                              const Text(
+                                '删除',
+                                style: TextStyle(
+                                  color: Colors.white,
+                                  fontSize: 12,
                                 ),
                               ),
                             ],
                           ),
-                          // trailing: _isSelectMode
-                          //     ? null
-                          //     : Padding(
-                          //         padding: const EdgeInsets.only(right: 16),
-                          //         child: InkWell(
-                          //           onTap: () async {
-                          //             setState(() {
-                          //               song.likes = !song.likes!;
-                          //             });
-                          //
-                          //             UniversalBean response =
-                          //                 await LikesApiMusic().likesMusic(
-                          //                     musicId: song.id,
-                          //                     Authorization:
-                          //                         AppData().currentToken);
-                          //
-                          //             if (response.code != 200) {
-                          //               setState(() {
-                          //                 song.likes = !song.likes!;
-                          //               });
-                          //             }
-                          //           },
-                          //           child: song.likes!
-                          //               ? Image.asset(
-                          //                   'assets/img/like.png',
-                          //                   width: 24,
-                          //                   height: 24,
-                          //                 )
-                          //               : ColorFiltered(
-                          //                   colorFilter: ColorFilter.mode(
-                          //                     Colors.grey[700]!,
-                          //                     BlendMode.srcIn,
-                          //                   ),
-                          //                   child: Image.asset(
-                          //                     'assets/img/unlike.png',
-                          //                     width: 24,
-                          //                     height: 24,
-                          //                   ),
-                          //                 ),
-                          //         ),
-                          //       ),
-                          // 添加点击事件
-                          onTap: _isSelectMode
-                              ? () {
-                                  // 在选择模式下点击整行触发复选框
-                                  setState(() {
-                                    _selectedItems[index] =
-                                        !_selectedItems[index];
-                                  });
-                                }
-                              : () {
-                                  // 非选择模式下跳转到播放页面
-                                  Navigator.push(
-                                    context,
-                                    MaterialPageRoute(
-                                      builder: (context) => MusicView(
-                                        songList: _songs,
-                                        initialSongIndex: index,
-                                        onSongStatusChanged:
-                                            (index, isCollected, isLiked) {
-                                          setState(() {
-                                            // 更新父组件中的数据
-                                            _songs[index].collection =
-                                                isCollected;
-                                            _songs[index].likes = isLiked;
-                                            downloadManager.updateSongInfo(
-                                                song.id,
-                                                isCollected,
-                                                isLiked);
-                                          });
-                                        },
-                                      ),
+                        ),
+                        confirmDismiss: (direction) async {
+                          return await showDialog(
+                            context: context,
+                            builder: (BuildContext context) {
+                              return AlertDialog(
+                                title: const Text('确认删除'),
+                                content: Text('确定要删除 ${song.title} 吗？'),
+                                actions: <Widget>[
+                                  TextButton(
+                                    onPressed: () => Navigator.of(context).pop(false),
+                                    child: const Text(
+                                      '取消',
+                                      style: TextStyle(color: Color(0xff429482)),
                                     ),
-                                  );
-                                },
+                                  ),
+                                  TextButton(
+                                    onPressed: () => Navigator.of(context).pop(true),
+                                    child: const Text(
+                                      '确定',
+                                      style: TextStyle(color: Colors.red),
+                                    ),
+                                  ),
+                                ],
+                              );
+                            },
+                          );
+                        },
+                        onDismissed: (direction) {
+                          // 删除本地文件
+                          downloadManager.removeSong(song.id);
+                          setState(() {
+                            _songs.removeAt(index);
+                            _selectedItems.removeAt(index);
+                          });
+                          needUpdate = true;
+                        },
+                        child: Container(
+                          padding: const EdgeInsets.symmetric(vertical: 5.0),
+                          child: ListTile(
+                            leading: _isSelectMode
+                                ? Checkbox(
+                                    value: _selectedItems[index],
+                                    onChanged: (value) {
+                                      setState(() {
+                                        _selectedItems[index] = value!;
+                                      });
+                                    },
+                                    shape: const CircleBorder(),
+                                    activeColor: const Color(0xff429482),
+                                  )
+                                : null,
+                            title: Row(
+                              children: [
+                                ClipRRect(
+                                  borderRadius: BorderRadius.circular(10),
+                                  child: Image.network(
+                                    song.artistPic,
+                                    width: 50,
+                                    height: 50,
+                                    fit: BoxFit.cover,
+                                  ),
+                                ),
+                                const SizedBox(width: 10), // 添加一些间距
+                                Expanded(
+                                  // 使用 Expanded 让文本占据剩余空间
+                                  child: Column(
+                                    crossAxisAlignment: CrossAxisAlignment.start,
+                                    mainAxisAlignment: MainAxisAlignment.center,
+                                    children: [
+                                      Text(
+                                        song.title,
+                                        maxLines: 1,
+                                        style: const TextStyle(
+                                          fontSize: 16,
+                                          fontWeight: FontWeight.w500,
+                                        ),
+                                        overflow: TextOverflow.ellipsis,
+                                      ),
+                                      Text(
+                                        song.artist,
+                                        maxLines: 1,
+                                        style: TextStyle(
+                                            color: Colors.grey[600],
+                                            fontSize: 14),
+                                        overflow: TextOverflow.ellipsis,
+                                      )
+                                    ],
+                                  ),
+                                ),
+                              ],
+                            ),
+                            // trailing: _isSelectMode
+                            //     ? null
+                            //     : Padding(
+                            //         padding: const EdgeInsets.only(right: 16),
+                            //         child: InkWell(
+                            //           onTap: () async {
+                            //             setState(() {
+                            //               song.likes = !song.likes!;
+                            //             });
+                            //
+                            //             UniversalBean response =
+                            //                 await LikesApiMusic().likesMusic(
+                            //                     musicId: song.id,
+                            //                     Authorization:
+                            //                         AppData().currentToken);
+                            //
+                            //             if (response.code != 200) {
+                            //               setState(() {
+                            //                 song.likes = !song.likes!;
+                            //               });
+                            //             }
+                            //           },
+                            //           child: song.likes!
+                            //               ? Image.asset(
+                            //                   'assets/img/like.png',
+                            //                   width: 24,
+                            //                   height: 24,
+                            //                 )
+                            //               : ColorFiltered(
+                            //                   colorFilter: ColorFilter.mode(
+                            //                     Colors.grey[700]!,
+                            //                     BlendMode.srcIn,
+                            //                   ),
+                            //                   child: Image.asset(
+                            //                     'assets/img/unlike.png',
+                            //                     width: 24,
+                            //                     height: 24,
+                            //                   ),
+                            //                 ),
+                            //         ),
+                            //       ),
+                            // 添加点击事件
+                            onTap: _isSelectMode
+                                ? () {
+                                    // 在选择模式下点击整行触发复选框
+                                    setState(() {
+                                      _selectedItems[index] =
+                                          !_selectedItems[index];
+                                    });
+                                  }
+                                : () {
+                                    // 非选择模式下跳转到播放页面
+                                    Navigator.push(
+                                      context,
+                                      MaterialPageRoute(
+                                        builder: (context) => MusicView(
+                                          songList: _songs,
+                                          initialSongIndex: index,
+                                          onSongStatusChanged:
+                                              (index, isCollected, isLiked) {
+                                            setState(() {
+                                              // 更新父组件中的数据
+                                              _songs[index].collection =
+                                                  isCollected;
+                                              _songs[index].likes = isLiked;
+                                              downloadManager.updateSongInfo(
+                                                  song.id,
+                                                  isCollected,
+                                                  isLiked);
+                                            });
+                                          },
+                                        ),
+                                      ),
+                                    );
+                                  },
+                          ),
                         ),
                       );
                     },
diff --git a/lib/view/user/my_likes_view.dart b/lib/view/user/my_likes_view.dart
index f7f46ed..3c6ba36 100644
--- a/lib/view/user/my_likes_view.dart
+++ b/lib/view/user/my_likes_view.dart
@@ -59,7 +59,7 @@ class _MyLikesViewState extends State<MyLikesView> {
       print('Error fetching liked songs: $error');
     }
   }
-
+//begin1
   Future<void> _deleteSong(int songId) async {
     try {
       UniversalBean response = await LikesApiMusic().likesMusic(
@@ -77,7 +77,7 @@ class _MyLikesViewState extends State<MyLikesView> {
       );
     }
   }
-
+//end1
   @override
   Widget build(BuildContext context) {
     return Container(
